//+------------------------------------------------------------------+
//|                                         dan rsi chart window.mq4 |
//|                                                           .....h |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright ".....h"
#property link      "interbank forum crew"

#property indicator_chart_window
#property indicator_buffers 6

#property indicator_color1 Green
#property indicator_color2 Blue
#property indicator_color3 Lime
#property indicator_color4 Red
#property indicator_color5 Red
#property indicator_color6 Lime


#property indicator_level1 70
#property indicator_level2 50
#property indicator_level3 30
#property indicator_levelcolor Blue
#property indicator_levelwidth 1
#property indicator_levelstyle STYLE_DASH


extern int RSI  = 14;        // rsi period 
extern int MA1  = 5;         // ma of rsi
extern int MODE = 0;         // 0 = sma, 1 = ema, 2 = smma, 3 = lwma
extern int cbars = 0;
extern int SoundAlert = 1;   // 0 = disabled
extern int level = 50;       // level for alert 

double RSIBuffer[];
double MaBuffer[];

double Up[];
double Dn[];
double ChartUp[];
double ChartDn[];

void init() {

  SetIndexBuffer(0, RSIBuffer);
  SetIndexBuffer(1, MaBuffer);
  
  SetIndexStyle (2, DRAW_ARROW);
  SetIndexBuffer(2, Up);
  SetIndexEmptyValue(2,0);
  SetIndexArrow(2,233);           // change the 233 to symbol of choice
  
  SetIndexStyle (3, DRAW_ARROW);
  SetIndexBuffer(3, Dn);
  SetIndexEmptyValue(3,0);
  SetIndexArrow(3,234);           // change the 234 to symbol of choice
 /*
  SetIndexStyle (4, DRAW_ARROW);
  SetIndexBuffer(4, ChartDn);
  SetIndexEmptyValue(4,0);
  SetIndexArrow(4,234);
  
  SetIndexStyle (5, DRAW_ARROW);
  SetIndexBuffer(5, ChartUp);
  SetIndexEmptyValue(5,0);
  SetIndexArrow(5,233); 
 
  */
  
  
  
}

void deinit() {
}


int start() {
  int i,limit = cbars;
  if(limit==0) limit = Bars;
  for(i=limit-1; i>=0; i--) {
  
      RSIBuffer[i] = iRSI(NULL,0,RSI,PRICE_CLOSE,i);
      }
     for(i=limit-1; i>=0; i--) {
     
      MaBuffer[i] = iMAOnArray(RSIBuffer,0,MA1,0,MODE,i);
      
      if((RSIBuffer[i] - MaBuffer[i])<=0 && (RSIBuffer[i+1] - MaBuffer[i+1]) > 0) {Dn[i]=High[i]+5*Point;}
      if((RSIBuffer[i] - MaBuffer[i])>=0 && (RSIBuffer[i+1] - MaBuffer[i+1]) < 0) {Up[i]=Low[i]-5*Point;}
      
     
   
   double rsicur = iRSI(NULL, 0, RSI, 0, 1);
   double rsipre = iRSI(NULL, 0, RSI, 0, 2);
   
   double ma    =iMAOnArray(RSIBuffer[i] ,0,5,0,0,1);
   double maprev=iMAOnArray(RSIBuffer[i] ,0,5,0,0,2);
     {
      if((rsicur < MaBuffer[i]) && (rsipre >= MaBuffer[i + 1])&& (SoundAlert != 0)) {
         Alert(Symbol(), " M", Period(), "  RSI crossed below setting");
     }
  
  
     {
      if((rsicur > MaBuffer[i]) && (rsipre<= MaBuffer[i + 1])&& (SoundAlert != 0)) {
         Alert(Symbol(), " M", Period(), "  RSI crossed above setting");
      }
      }
      }
      }
       
       
//----
   return(0);
  }
//+------------------------------------------------------------------+

  
//+------------------------------------------------------------------+